Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.axis
Class CategoryLabelPosition

    java.lang.Object
      org.jfree.chart.axis.CategoryLabelPosition

All Implemented Interfaces:
  java.io.Serializable

    public class CategoryLabelPosition

extends java.lang.Object
implements java.io.Serializable

The attributes that control the position of the labels for the categories on a `CategoryAxis`. Instances of this class are immutable and other JFreeChart classes rely upon this.

See Also:
  Serialized Form

Constructor Summary
`CategoryLabelPosition()` Creates a new position record with default settings.
`CategoryLabelPosition(org.jfree.ui.RectangleAnchor categoryAnchor, org.jfree.text.TextBlockAnchor labelAnchor)` Creates a new category label position record.
`CategoryLabelPosition(org.jfree.ui.RectangleAnchor categoryAnchor, org.jfree.text.TextBlockAnchor labelAnchor, CategoryLabelWidthType widthType, float widthRatio)` Creates a new category label position record.
`CategoryLabelPosition(org.jfree.ui.RectangleAnchor categoryAnchor, org.jfree.text.TextBlockAnchor labelAnchor, org.jfree.ui.TextAnchor rotationAnchor, double angle, CategoryLabelWidthType widthType, float widthRatio)` Creates a new position record.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
`double` | `getAngle()` Returns the angle of rotation for the label.
`org.jfree.ui.RectangleAnchor` | `getCategoryAnchor()` Returns the item label anchor.
`org.jfree.text.TextBlockAnchor` | `getLabelAnchor()` Returns the text block anchor.
`org.jfree.ui.TextAnchor` | `getRotationAnchor()` Returns the rotation anchor point.
`float` | `getWidthRatio()` Returns the ratio used to calculate the maximum category label width.
`CategoryLabelWidthType` | `getWidthType()` Returns the width calculation type.
`int` | `hashCode()` Returns a hash code for this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryLabelPosition

    public CategoryLabelPosition()

  Creates a new position record with default settings.

### CategoryLabelPosition

    public CategoryLabelPosition(org.jfree.ui.RectangleAnchor categoryAnchor,
                                 org.jfree.text.TextBlockAnchor labelAnchor)

  Creates a new category label position record.

  Parameters:
    `categoryAnchor` - the category anchor (`null` not permitted).
    `labelAnchor` - the label anchor (`null` not permitted).

### CategoryLabelPosition

    public CategoryLabelPosition(org.jfree.ui.RectangleAnchor categoryAnchor,
                                 org.jfree.text.TextBlockAnchor labelAnchor,
                                 CategoryLabelWidthType widthType,
                                 float widthRatio)

  Creates a new category label position record.

  Parameters:
    `categoryAnchor` - the category anchor (`null` not permitted).
    `labelAnchor` - the label anchor (`null` not permitted).
    `widthType` - the width type (`null` not permitted).
    `widthRatio` - the maximum label width as a percentage (of the category space or the range space).

### CategoryLabelPosition

    public CategoryLabelPosition(org.jfree.ui.RectangleAnchor categoryAnchor,
                                 org.jfree.text.TextBlockAnchor labelAnchor,
                                 org.jfree.ui.TextAnchor rotationAnchor,
                                 double angle,
                                 CategoryLabelWidthType widthType,
                                 float widthRatio)

  Creates a new position record. The item label anchor is a point relative to the data item (dot, bar or other visual item) on a chart. The item label is aligned by aligning the text anchor with the item label anchor.

  Parameters:
    `categoryAnchor` - the category anchor (`null` not permitted).
    `labelAnchor` - the label anchor (`null` not permitted).
    `rotationAnchor` - the rotation anchor (`null` not permitted).
    `angle` - the rotation angle (`null` not permitted).
    `widthType` - the width type (`null` not permitted).
    `widthRatio` - the maximum label width as a percentage (of the category space or the range space).

Method Detail

### getCategoryAnchor

    public org.jfree.ui.RectangleAnchor getCategoryAnchor()

  Returns the item label anchor.

  Returns:
    The item label anchor (never `null`).

### getLabelAnchor

    public org.jfree.text.TextBlockAnchor getLabelAnchor()

  Returns the text block anchor.

  Returns:
    The text block anchor (never `null`).

### getRotationAnchor

    public org.jfree.ui.TextAnchor getRotationAnchor()

  Returns the rotation anchor point.

  Returns:
    The rotation anchor point (never `null`).

### getAngle

    public double getAngle()

  Returns the angle of rotation for the label.

  Returns:
    The angle (in radians).

### getWidthType

    public CategoryLabelWidthType getWidthType()

  Returns the width calculation type.

  Returns:
    The width calculation type (never `null`).

### getWidthRatio

    public float getWidthRatio()

  Returns the ratio used to calculate the maximum category label width.

  Returns:
    The ratio.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this instance for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code for this object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    A hash code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.